Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518212 - Unable to delete build configs
Summary: Unable to delete build configs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.z
Assignee: Dan Mace
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 12:36 UTC by Priyanka Kanthale
Modified: 2018-06-18 11:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 20:27:35 UTC


Attachments (Terms of Use)

Description Priyanka Kanthale 2017-11-28 12:36:01 UTC
Description of problem: Unable to delete build configs even with system:admin


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: build configs are not getting deleted.


Expected results: build configs should get deleted.


Additional info: When trying  
  $ oc get bc
  NAME      TYPE      FROM      LATEST
  php       Source    Git       2

  $ oc delete bc/php
  buildconfig "php" deleted

  $ oc get bc
  NAME      TYPE      FROM      LATEST
  php       Source    Git       2

also as a cluster admin:

  $ oc delete all --all
buildconfig "node" deleted
imagestream "node" deleted
deploymentconfig "node" deleted
service "node" deleted
pod "node-1-build" deleted

  $ oc get bc
NAME      TYPE      FROM      LATEST
node      Source    Git       1

  $ oc get all
NAME      TYPE      FROM      LATEST
bc/node   Source    Git       1

Comment 1 Ben Parees 2017-11-28 17:21:22 UTC
There's no magic about the buildconfig resource, so this sounds like a cluster issue to me, Michal.

Priyanka please provide --loglevel=8 from your oc delete and oc get commands.

Comment 5 Michal Fojtik 2017-12-04 15:43:13 UTC
Is this really 3.6? Can you check the API logs and search for the delete request? Also controller logs.

Comment 6 Dan Mace 2017-12-06 15:18:56 UTC
(In reply to Michal Fojtik from comment #5)
> Is this really 3.6? Can you check the API logs and search for the delete
> request? Also controller logs.

Adding needinfo for this. Where exactly was this reproduced?

Comment 12 Dan Mace 2018-02-06 18:04:15 UTC
The JSON of the stuck build shows an orphan finalizer in the build's annotations. The build will remain until the garbage collector has processed the build and removed the annotation.

Here are some questions which might help us narrow down the problem:

1. Are the controller services running and healthy?
2. Does the build get deleted properly upon restarting the controller services?
3. Can we see the active controller logs from (deletion time - 1 minute) to (deletion time + 2 minutes)?
4. Are there any error messages/stack traces in the active controller logs from (process start time) to (tail)?
5. Can we see the (scrubbed) master-config.yml in use?

Comment 14 Dan Mace 2018-05-01 14:38:13 UTC
Is this still an issue?

Comment 15 Dan Mace 2018-05-16 20:27:35 UTC
Please re-open if this can be reproduced.


Note You need to log in before you can comment on or make changes to this bug.